## org.eclipse.emf.ecore.change
Interface ResourceChange

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  ResourceChangeImpl

    public interface ResourceChange

extends EObject

A representation of the model object 'Resource Change'.

The following features are supported:

- `Resource URI`
- `Resource`
- `Value`
- `List Changes`

See Also:
  `ChangePackage.getResourceChange()`

Method Summary
`void` `apply()`
`void` `applyAndReverse()`
`EList<ListChange>` `getListChanges()` Returns the value of the 'List Changes' containment reference list.
`Resource` `getResource()` Returns the value of the 'Resource' attribute
`java.lang.String` `getResourceURI()` Returns the value of the 'Resource URI' attribute
`EList<?>` `getValue()` Returns the value of the 'Value' attribute
`void` `setResource(Resource value)` Sets the value of the '`Resource`' attribute
`void` `setResourceURI(java.lang.String value)` Sets the value of the '`Resource URI`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResourceURI

    java.lang.String getResourceURI()

  Returns the value of the 'Resource URI' attribute.

  Returns:
    the value of the 'Resource URI' attribute.
  See Also:
    `setResourceURI(String)`, `ChangePackage.getResourceChange_ResourceURI()`

### setResourceURI

    void setResourceURI(java.lang.String value)

  Sets the value of the '`Resource URI`' attribute.

  Parameters:
    `value` - the new value of the 'Resource URI' attribute.
  See Also:
    `getResourceURI()`

### getResource

    Resource getResource()

  Returns the value of the 'Resource' attribute.

  Returns:
    the value of the 'Resource' attribute.
  See Also:
    `setResource(Resource)`, `ChangePackage.getResourceChange_Resource()`

### setResource

    void setResource(Resource value)

  Sets the value of the '`Resource`' attribute.

  Parameters:
    `value` - the new value of the 'Resource' attribute.
  See Also:
    `getResource()`

### getValue

    EList<?> getValue()

  Returns the value of the 'Value' attribute.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `ChangePackage.getResourceChange_Value()`

### getListChanges

    EList<ListChange> getListChanges()

  Returns the value of the 'List Changes' containment reference list. The list contents are of type `ListChange`.

  Returns:
    the value of the 'List Changes' containment reference list.
  See Also:
    `ChangePackage.getResourceChange_ListChanges()`

### apply

    void apply()

### applyAndReverse

    void applyAndReverse()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.